Skip to main content
POST
/
seller
/
orders
/
{id}
curl --request POST \ --url https://api.managem.co.uk/seller/orders/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "action": "ship", "shipment": { "trackingNumber": "000000000000", "carrier": "Royal Mail" }, "items": [ { "id": "order-item-id-1", "quantity": 1 }, { "id": "order-item-id-2", "quantity": 2 } ] } '

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Order ID

Body

application/json

Update actions that can be performed by a seller

action
enum<string>
required
Available options:
accept
items
object[]
required

Items to accept

Response

Order updated